Bug Hunting Session
Bug 119109 - Embedded table position off after switching from webview to normal view & back
Summary: Embedded table position off after switching from webview to normal view & back
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.5 target:6.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Table tdf#114306-regressions
  Show dependency treegraph
 
Reported: 2018-08-05 12:13 UTC by Telesto
Modified: 2019-06-08 20:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (15.47 KB, application/vnd.oasis.opendocument.text)
2018-08-05 12:13 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-05 12:13:21 UTC
Description:
Embedded table position off after switching from webview to normal view & back

Steps to Reproduce:
1. Open the attached file
2. Switch View -> Normal
3. Switch back to Web

Actual Results:
Embedded tables are all of the place

Expected Results:
Shouldn't happening


Reproducible: Always


User Profile Reset: No



Additional Info:
Repro with
Version: 6.2.0.0.alpha0+
Build ID: 1b21ff86effe58ae368457de8fec654ba4c8edd9
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-30_03:13:35
Locale: en-US (nl_NL); Calc: CL

but not with
Version: 5.4.1.0.0+
Build ID: f200d5700782ae179fd96b6ad4b0fe8e7edd1616
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-08-05 12:13:34 UTC
Created attachment 143981 [details]
Example file
Comment 2 Roman Kuznetsov 2018-08-05 18:07:47 UTC
repro for LO 6.0.6

don't repro for 5.4.7.2

Status-> NEW, regression
Comment 3 Xisco Faulí 2018-08-06 10:56:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=18765b9fa739337d2d891513f6e2fb7c3ce23b50

author	Manfred Blume <manfred.blume@cib.de>	2017-12-08 15:01:51 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-12-22 00:20:40 +0100
commit	18765b9fa739337d2d891513f6e2fb7c3ce23b50 (patch)
tree	61acc1c9001d529d0df88affe48310187784cc99
parent	baaf6c12c8e9f785dc91e5d3db8b2f5072d4e3f5 (diff)
tdf#114306 fix unexpected page break in row-spanned table
If a para gets moved off to another page, it never gets
moved back. Make IsMoveable() more symmetric, add condition
to MoveBwd to also claim table content back.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Manfred Blume
Comment 4 Xisco Faulí 2019-03-14 16:15:33 UTC
Still reproducible in

Version: 6.3.0.0.alpha0+
Build ID: c196d70337f6b755cfc4c34beda05554c6fab114
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2019-05-09 11:29:56 UTC
Still reproducible in

Version: 6.3.0.0.alpha0+
Build ID: 82d018b402219b5452bb08aac2c060031bbc3298
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-05-23 08:39:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e14056e6e88d9b8d988b7b88b2776a8fc952031b%5E%21

tdf#119109 sw: fix iteration in SwFrame::PrepareMake()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-05-23 08:39:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c24299c36c3f94dd1920a6bc1b8c55b2fe6580d3%5E%21

tdf#119109 sw: fix iteration in SwFrame::PrepareCursor() too

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-05-23 08:40:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/53a0a86df6eb5fc64a85ecd03f2e354fd4d8e213%5E%21

tdf#119109 sw: fix SwTableFrame follow chain formatting

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2019-05-23 08:43:02 UTC
should be fixed on master
Comment 10 Commit Notification 2019-05-23 11:33:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7724fdc2ccf867e526e968ac6c27cc69408ec8ab%5E%21

tdf#119109 sw: fix iteration in SwFrame::PrepareMake()

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-05-23 11:33:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/98e4e308b365692ae2798192d6f4ca7e1cbd376e%5E%21

tdf#119109 sw: fix iteration in SwFrame::PrepareCursor() too

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-05-23 15:00:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/72b52ba3c7bd3233ca3e721c3e3d69dd08246bdc%5E%21

tdf#119109 sw: fix SwTableFrame follow chain formatting

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2019-05-27 14:31:47 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: 53325b40b557cc84d8d21c1baa0ef8d3bfc00ab8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-AU (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 14 Commit Notification 2019-06-03 08:43:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1416c5426a757d32f223cab46bf9038bd7f21d48%5E%21

tdf#119109 sw: tweak assertion in PrepareMake()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-06-03 23:01:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/344275e11e24084c970ff19acfeed3ddf50d58bb%5E%21

tdf#119109 sw: tweak assertion in PrepareMake()

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-08 20:20:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ee46d8e8c7375044e792ce330c80bf313e59b5e7%5E%21

tdf#119109 sw: tweak assertion in PrepareMake()

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.